invalid version: git fetch –unshallow -f origin错误解决

go: google.golang.org/api@v0.76.0 requires
        google.golang.org/grpc@v1.45.0 requires
        google.golang.org/genproto@v0.0.0-20200526211855-cb27e3aa2013 requires
        google.golang.org/protobuf@v1.23.1-0.20200526195155-81db48ad09cc: invalid version: git fetch --unshallow -f origin in /root/go/pkg/mod/cache/vcs/a6c5d6b8734f41936247415390043c979295646fadef73c39eedc1735cd0fef4: exit status 128:
        fatal: git fetch-pack: expected shallow list

下载go模块时遇到此错误可尝试清楚mod缓存重新下载,我就是如此解决的,输入如下代码:

go clean --modcache

在下载过程中如果速度比较慢,可以尝试使用代理,设置代理命令如下:

go env -w GOPROXY=https://goproxy.io,direct

这样就可以轻松愉快的下载咯!

欢迎关注,一起交流学习!

发表评论